Bug 1600925 (CVE-2018-2952) - CVE-2018-2952 OpenJDK: insufficient index validation in PatternSyntaxException getMessage() (Concurrency, 8199547)
Summary: CVE-2018-2952 OpenJDK: insufficient index validation in PatternSyntaxExceptio...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-2952
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180717,repor...
Depends On: 1594253 1594254 1594255 1594256 1594257 1594258 1602113 1602114 1602115 1602116 1602117 1602118 1608811 1608812 1618719 1618720 1618721 1619180 1619181 1619182 1624844 1624845 1624868 1625243
Blocks: 1594250
TreeView+ depends on / blocked
 
Reported: 2018-07-13 12:02 UTC by Tomas Hoger
Modified: 2019-06-08 23:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-17 15:14:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2241 None None None 2018-07-23 14:37:17 UTC
Red Hat Product Errata RHSA-2018:2242 None None None 2018-07-23 15:04:09 UTC
Red Hat Product Errata RHSA-2018:2253 None None None 2018-07-24 21:13:09 UTC
Red Hat Product Errata RHSA-2018:2254 None None None 2018-07-24 21:09:16 UTC
Red Hat Product Errata RHSA-2018:2255 None None None 2018-07-24 21:13:31 UTC
Red Hat Product Errata RHSA-2018:2256 None None None 2018-07-24 21:09:32 UTC
Red Hat Product Errata RHSA-2018:2283 None None None 2018-07-30 14:53:07 UTC
Red Hat Product Errata RHSA-2018:2286 None None None 2018-07-30 15:19:32 UTC
Red Hat Product Errata RHSA-2018:2568 None None None 2018-08-27 14:20:49 UTC
Red Hat Product Errata RHSA-2018:2569 None None None 2018-08-27 14:21:19 UTC
Red Hat Product Errata RHSA-2018:2575 None None None 2018-08-28 19:19:12 UTC
Red Hat Product Errata RHSA-2018:2576 None None None 2018-08-28 19:20:54 UTC
Red Hat Product Errata RHSA-2018:2712 None None None 2018-09-17 14:50:47 UTC
Red Hat Product Errata RHSA-2018:2713 None None None 2018-09-17 14:54:04 UTC
Red Hat Product Errata RHSA-2018:3007 None None None 2018-10-24 21:38:51 UTC
Red Hat Product Errata RHSA-2018:3008 None None None 2018-10-24 21:39:25 UTC

Description Tomas Hoger 2018-07-13 12:02:52 UTC
It was discovered that the implementation of the PatternSyntaxException class in the Concurrency component of OpenJDK failed to sufficiently validate the 'index' value (to ensure it's not greater than the regular expression length) in the getMessage() method.  An instance of the class with invalid index value, for example one created via deserialization on an untrusted input, could cause a Java application to use an excessive amount of memory.

Comment 1 Tomas Hoger 2018-07-17 21:22:00 UTC
Public now via Oracle CPU July 2018:

http://www.oracle.com/technetwork/security-advisory/cpujul2018-4258247.html#AppendixJAVA

The issue was fixed in Oracle JDK 10.0.2, 8u181, 7u191, and 6u201.

Comment 2 Tomas Hoger 2018-07-18 09:14:57 UTC
OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/baac18e216fb

Comment 3 errata-xmlrpc 2018-07-23 14:37:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2241 https://access.redhat.com/errata/RHSA-2018:2241

Comment 4 errata-xmlrpc 2018-07-23 15:04:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2242 https://access.redhat.com/errata/RHSA-2018:2242

Comment 5 errata-xmlrpc 2018-07-24 21:09:10 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2018:2254 https://access.redhat.com/errata/RHSA-2018:2254

Comment 6 errata-xmlrpc 2018-07-24 21:09:27 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2018:2256 https://access.redhat.com/errata/RHSA-2018:2256

Comment 7 errata-xmlrpc 2018-07-24 21:13:03 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2018:2253 https://access.redhat.com/errata/RHSA-2018:2253

Comment 8 errata-xmlrpc 2018-07-24 21:13:26 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2018:2255 https://access.redhat.com/errata/RHSA-2018:2255

Comment 9 errata-xmlrpc 2018-07-30 14:53:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2283 https://access.redhat.com/errata/RHSA-2018:2283

Comment 10 errata-xmlrpc 2018-07-30 15:19:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2286 https://access.redhat.com/errata/RHSA-2018:2286

Comment 11 errata-xmlrpc 2018-08-27 14:20:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2018:2568 https://access.redhat.com/errata/RHSA-2018:2568

Comment 12 errata-xmlrpc 2018-08-27 14:21:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2018:2569 https://access.redhat.com/errata/RHSA-2018:2569

Comment 13 errata-xmlrpc 2018-08-28 19:19:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:2575 https://access.redhat.com/errata/RHSA-2018:2575

Comment 14 errata-xmlrpc 2018-08-28 19:20:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:2576 https://access.redhat.com/errata/RHSA-2018:2576

Comment 18 errata-xmlrpc 2018-09-17 14:50:42 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2018:2712 https://access.redhat.com/errata/RHSA-2018:2712

Comment 19 errata-xmlrpc 2018-09-17 14:53:57 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2018:2713 https://access.redhat.com/errata/RHSA-2018:2713

Comment 20 errata-xmlrpc 2018-10-24 21:38:44 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2018:3007 https://access.redhat.com/errata/RHSA-2018:3007

Comment 21 errata-xmlrpc 2018-10-24 21:39:19 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2018:3008 https://access.redhat.com/errata/RHSA-2018:3008


Note You need to log in before you can comment on or make changes to this bug.